/* File: easyswigwrap.i */
%module curl
%{
  /* Put headers and other declarations here */
  //#include <curl/curl.h>
  //#include "setup.h"
  #define CURL_ERROR_SIZE 256
%}
/* Some global vars we need to access from progress callbacks */
extern unsigned int dltotal;
extern unsigned int dlnow;
extern unsigned int ultotal;
extern unsigned int ulnow;

extern char errbuf[CURL_ERROR_SIZE];
extern char proxy[255];
extern long proxyport;
extern char proxyuserpwd[255];
extern long timeout;
extern long lowspeed_limit;
extern long lowspeed_time;
extern char enet_interface[255];

/* Set this from script side to abort when progress callback returns */
extern int progret;

/* Higher end functions which do multiple calls */
extern int main_init(void);
extern void main_free(void);
extern int putfile(char *filename, char *desturl, char *userpwd, long resume_offset);
extern long remotefilelength(char *testurl, char *userpwd);
