import java.util.Timer;
import java.util.TimerTask;
import curl;

public class mycurl {
  Timer timer;

  static {
    try {
	System.loadLibrary("curl");
    } catch (UnsatisfiedLinkError e) {
      System.err.println("Cannot load the native code.\nMake sure your LD_LIBRARY_PATH contains \'.\'\n" + e);
      System.exit(1);
    }
  }

  public mycurl(int milliseconds) {
      timer = new Timer();
      timer.schedule(new ProgressTask(), 500, milliseconds);
  }

  class ProgressTask extends TimerTask {
      public void run() {
          //System.out.println("Time's up!");
	    System.out.println("Uploaded " + curl.get_ulnow() + " of " + curl.get_ultotal());
          //timer.cancel(); //Terminate the timer thread
      }
  }



  public static void main(String argv[]) {
    long p = curl.main_init();
    new mycurl(200);
    int u = curl.putfile("curl.dll", "http://smtp.product-des.com/public/incoming/curl.dll", "username:passwd");
    long q = curl.remotefilelength("http://smtp.product-des.com/public/incoming/curl.dll", "username:passwd");
    curl.main_free();
    System.out.println("Content-Length: " + q);
    System.exit(0);
  }
}
